Midi Handling
===================================

.. currentmodule:: pyo

Objects to retrieve Midi informations for a specific Midi port and channel.

Objects creates and returns audio streams from the value in their Midi input.

The audio streams of these objects are essentially intended to be
used as controls and can't be sent to the output soundcard.

*Bendin*
-----------------------------------

.. autoclass:: Bendin
   :members:

   .. autoclasstoc::

*CtlScan*
-----------------------------------

.. autoclass:: CtlScan
   :members:

   .. autoclasstoc::

*CtlScan2*
-----------------------------------

.. autoclass:: CtlScan2
   :members:

   .. autoclasstoc::

*MidiAdsr*
-----------------------------------

.. autoclass:: MidiAdsr
   :members:

   .. autoclasstoc::

*MidiDelAdsr*
-----------------------------------

.. autoclass:: MidiDelAdsr
   :members:

   .. autoclasstoc::

*Midictl*
-----------------------------------

.. autoclass:: Midictl
   :members:

   .. autoclasstoc::

*Notein*
-----------------------------------

.. autoclass:: Notein
   :members:

   .. autoclasstoc::

*Programin*
-----------------------------------

.. autoclass:: Programin
   :members:

   .. autoclasstoc::

*Touchin*
-----------------------------------

.. autoclass:: Touchin
   :members:

   .. autoclasstoc::

*RawMidi*
-----------------------------------

.. autoclass:: RawMidi
   :members:

   .. autoclasstoc::

*MidiLinseg*
-----------------------------------

.. autoclass:: MidiLinseg
   :members:

   .. autoclasstoc::
